Bug 1413119 - Removing actions from VM Compliance Check event removes the event from the compliance policy
Summary: Removing actions from VM Compliance Check event removes the event from the co...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.1
Assignee: Harpreet Kataria
QA Contact: Dmitry Misharov
URL:
Whiteboard: control
Depends On: 1395965
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 16:56 UTC by Satoe Imaishi
Modified: 2019-11-19 22:34 UTC (History)
6 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1395965
Environment:
Last Closed: 2017-02-27 19:22:37 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-13 17:00:54 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/6f16b752b25c7eb15ff43230327f127f646a7c19

commit 6f16b752b25c7eb15ff43230327f127f646a7c19
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Tue Jan 10 10:07:10 2017 -0800
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jan 13 11:57:11 2017 -0500

    Merge pull request #112 from h-kataria/policy_event_action_fix
    
    Policy Event must have at least one action assigned to it
    (cherry picked from commit 3d34785eff8ce66ef2ca7304fcffd8794d7dc6cf)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1413119

 app/controllers/miq_policy_controller/events.rb    |  6 +++
 .../miq_policy_controller/events_spec.rb           | 61 ++++++++++++++++++++++
 2 files changed, 67 insertions(+)
 create mode 100644 spec/controllers/miq_policy_controller/events_spec.rb

Comment 3 Dmitry Misharov 2017-01-25 08:45:15 UTC
Fixed and verified in 5.7.1.0.20170124142149_8a5f4d5.

Comment 5 errata-xmlrpc 2017-02-27 19:22:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.